package qiniu

import (
	"applet/app/utils"
)

var (
	AK                   = "MmxNdai23egjNUHjdzEVaTPdPCIbWzENz9BQuak3"
	SK                   = "mElaFlM9O16rXp-ihoQdJ9KOH56naKm3MoyQBA59"
	BUCKET               = "dev-fnuoos" // 桶子名称
	BUCKET_SCHEME        = "http"
	BUCKET_REGION        = "up-z2.qiniup.com"
	Expires       uint64 = 3600
)

func Init(ak, sk, bucket, region, scheme string) {
	AK, SK, BUCKET, BUCKET_REGION, BUCKET_SCHEME = ak, sk, bucket, region, scheme
}

func Sign(t string) string {
	return utils.Md5(AK + SK + t)
}
